WPS4GraphInternal::State Struct Reference

Internal: the state of a WPS4Graph. More...

## Public Member Functions

| State ()

## Public Attributes

int | m_version
| the version More...
int | m_numPages
| the number page More...
std::vector< WPXBinaryData > | m_objects
| the list of objects More...
std::vector< WPSPosition > | m_objectsPosition
| the list of positions More...
std::vector< int > | m_objectsId
| the list of object's ids More...
std::vector< bool > | m_parsed
| list of flags to know if the data are been sent to the listener More...

## Detailed Description

Internal: the state of a WPS4Graph.

## Constructor & Destructor Documentation

WPS4GraphInternal::State::State | ( |  | ) |

inline

## Member Data Documentation

int WPS4GraphInternal::State::m_numPages

the number page

std::vector<WPXBinaryData> WPS4GraphInternal::State::m_objects

the list of objects

std::vector<int> WPS4GraphInternal::State::m_objectsId

the list of object's ids

std::vector<WPSPosition> WPS4GraphInternal::State::m_objectsPosition

the list of positions

std::vector<bool> WPS4GraphInternal::State::m_parsed

list of flags to know if the data are been sent to the listener

int WPS4GraphInternal::State::m_version

the version

The documentation for this struct was generated from the following file:

- WPS4Graph.cpp